Public Member Functions | Public Attributes | List of all members
libzmf::Font Struct Reference

`#include <ZMFTypes.h>`

## Public Member Functions
| Font ()

## Public Attributes
librevenge::RVNGString | name
double | size
bool | isBold
bool | isItalic
boost::optional< Fill > | fill
boost::optional< Pen > | outline

## Constructor & Destructor Documentation

## ◆ Font()

libzmf::Font::Font | ( |  | ) |
| inline

## Member Data Documentation

## ◆ fill

boost::optional<Fill> libzmf::Font::fill

Referenced by libzmf::ZMF4Parser::readFont().

## ◆ isBold

bool libzmf::Font::isBold

Referenced by libzmf::ZMF4Parser::readFont().

## ◆ isItalic

bool libzmf::Font::isItalic

Referenced by libzmf::ZMF4Parser::readFont().

## ◆ name

librevenge::RVNGString libzmf::Font::name

Referenced by libzmf::ZMF4Parser::readFont().

## ◆ outline

boost::optional<Pen> libzmf::Font::outline

Referenced by libzmf::ZMF4Parser::readFont().

## ◆ size

double libzmf::Font::size

Referenced by libzmf::ZMF4Parser::readFont().

The documentation for this struct was generated from the following file:

- ZMFTypes.h